NutritionOrder read

get/NutritionOrder/{id}
Page View

This resource contains a request to provide a diet, formula feeding, or nutritional supplement to a patient or resident.

Nutrition orders may include one or more of the following, depending on the organization and the patient’s care plan:

  • Oral diets: Diet types, textures, or fluid consistencies for food taken by mouth (e.g., a sodium-restricted or pureed diet).
  • Oral nutritional supplements: Products taken by mouth in addition to a diet (e.g., protein shakes).
  • Enteral formulas: Formula feedings delivered through a tube, including administration rate, schedule, and any additives.

Nutrition orders may also contain a patient’s food allergies, intolerances, or food preferences (e.g., vegetarian or kosher) to help care teams prepare appropriate meals.

You can review or search for nutrition order details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

read

Review a specific NutritionOrder resource with details about a patient’s diet order, including diet type, food texture, instructions, and notes.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you’re guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/NutritionOrder/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    NutritionOrder identifier

Response fields and example

json
1
{}

    A profile on the NutritionOrder resource that conforms to Redox requirements.

  • resourceType
    required, string

    Identifies the type of the resource

    Value: NutritionOrder
  • status
    required, string

    The workflow status of the nutrition order/request.

    Possible Values: draft, active, on-hold, revoked, completed, entered-in-error, unknown
  • intent
    required, string

    Indicates the level of authority/intentionality associated with the nutrition order and where the request fits into the workflow chain.

    Possible Values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option
  • patient
    required, object

    The patient who receives the diet.

    Must be a resource of type Patient.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • dateTime
    required, string

    The date and time that this nutrition order was requested.

  • id
    string

    The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

  • oralDiet
    object

    Diet given orally in contrast to enteral (tube) feeding.

    • type
      Array of object

      The kind of diet or dietary restriction such as fiber restricted diet or diabetic diet.

      • coding
        Array of object

        A reference to a code defined by a terminology system.

        • system
          string

          The identification of the code system that defines the meaning of the symbol in the code.

        • code
          string

          A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

      • text
        string

        A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • texture
      Array of object

      Class that describes any texture modifications required for the patient to safely consume various types of solid foods.

      • modifier
        object

        Any texture modifications (for solid foods) that should be made, e.g. easy to chew, chopped, ground, and pureed.

        • coding
          Array of object

          A reference to a code defined by a terminology system.

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

    • instruction
      string

      Free text or additional instructions or information pertaining to the oral diet.

  • note
    Array of object

    Comments made about the nutrition order by the requester, performer, subject, or other participants.

    • text
      required, string

      The text of the annotation in markdown format.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.